Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Failed upgrade to 4.5GA

  1. #1
    Join Date
    Nov 2005
    Location
    Germany
    Posts
    89
    Rep Power
    9

    Angry Failed upgrade to 4.5GA

    Hello,

    I tried the update from 4.04 to 4.5GA on SLES9. So far everything seemed to go ok. But during the installation process there was no message as usual that the database was migrated.

    Also I get the following messages:

    2007-01-18 00:01:32,127 INFO [main] [] soap - Servlet SoapServlet starting up
    2007-01-18 00:01:32,181 INFO [main] [] soap - Adding service AccountService to SoapServlet
    2007-01-18 00:01:32,314 INFO [main] [] soap - Adding service MailService to SoapServlet
    2007-01-18 00:01:32,571 INFO [main] [] soap - Adding service IMService to SoapServlet
    2007-01-18 00:01:32,585 INFO [main] [] misc - version=4.5.0_GA_612.SuSEES9 release=20070115194945 builddate=20070115-1950 buildho
    st=build-suse
    2007-01-18 00:01:32,587 INFO [main] [] misc - LANG environment is set to: null
    2007-01-18 00:01:32,637 INFO [main] [] DbPool - Setting mysql connector property: maxActive=5
    2007-01-18 00:01:33,743 ERROR [main] [] Versions - DB Version Mismatch: ours="36" from DB="27"
    2007-01-18 00:01:34,587 FATAL [main] [] soap - Unable to start servlet
    java.lang.RuntimeException: Data version mismatch. Reinitialize or upgrade the backend data store.


    Is there a way to do the get dabaseconversion manualy?
    I tried the ipdate several times always with the same effect.

    Tank you for your help.

    Friedmar

  2. #2
    Join Date
    Jul 2006
    Posts
    623
    Rep Power
    10

    Default

    can you post the last few lines of /opt/zimbra/.install_history
    Bugzilla - Wiki - Downloads - Before posting... Search!

  3. #3
    Join Date
    Nov 2005
    Location
    Germany
    Posts
    89
    Rep Power
    9

    Default

    Here we go:

    1169072911: INSTALL SESSION COMPLETE
    1169073032: CONFIG SESSION START
    1169073032: CONFIGURED BEGIN
    1169073037: CONFIGURED configLCValues
    1169073037: CONFIGURED configCASetup
    1169073037: CONFIGURED configCreateCert
    1169073041: CONFIGURED configSetupLdap
    1169073045: CONFIGURED configSaveCA
    1169073045: CONFIGURED configInstallCert
    1169073047: CONFIGURED configCreateServerEntry
    1169073049: CONFIGURED configSpellServer
    1169073055: CONFIGURED configSetServicePorts
    1169073079: CONFIGURED configSetInstalledSkins
    1169073081: CONFIGURED zimbraPrefUseKeyboardShortcuts
    1169073083: CONFIGURED configSetMtaAuthHost
    1169073089: CONFIGURED configCreateDomain
    1169073089: CONFIGURED configInitSql
    1169073091: CONFIGURED configInitLogger
    1169073092: CONFIGURED configInitMta
    1169073094: CONFIGURED configInitSnmp
    1169073098: CONFIGURED configSetEnabledServices
    1169073098: CONFIGURED setupCrontab
    1169073100: CONFIGURED setupSyslog
    1169073148: CONFIGURED configInstallZimlets
    1169073161: CONFIGURED configInitNotebooks
    1169073187: CONFIGURED END
    1169073187: CONFIG SESSION COMPLETE

  4. #4
    Join Date
    Jul 2006
    Posts
    623
    Rep Power
    10

    Default

    did you receive any errors during the installation when you ran install.sh? It appears that the postinstall scripts from the packages were not executed.
    Bugzilla - Wiki - Downloads - Before posting... Search!

  5. #5
    Join Date
    Nov 2005
    Location
    Germany
    Posts
    89
    Rep Power
    9

    Default

    Hallo Brian,

    there are no unusual error messeges excep thet the servernam already existr or a user exisists.

    I included install.log.txt and zmsetup.log.txt.

    Regards,

    Friedmar

    PS: Later I migrated the same Zimbra version to 4.05 without any problems.
    Attached Files Attached Files

  6. #6
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    If you have a backup, go back to that, and try running the 4.0.5 setup again.
    I think it will re-migrate the db, maybe.

  7. #7
    Join Date
    Nov 2005
    Location
    Germany
    Posts
    89
    Rep Power
    9

    Default

    Hello wannabetenor,

    downgrading to 4.04 did not work. It showed an empty version number.

    After restoring the backup (4.04) it worked. Another try to go to 4.5 failed to. But the update to 4.05 worked. What I have to check is if the upgrade from 4.05 to 4.5 will work.

    But bevore that I will wait and see if there is a bug in the upgrade routine.

    Regards,

    Friedmar

  8. #8
    Join Date
    Jul 2006
    Posts
    623
    Rep Power
    10

    Default

    The problem is .install_history wasn't updated when the new packages were installed, so the setup script didn't perform any of the migration steps. It's odd the 4.0.4->4.0.5 upgrade worked because it's the same code as a 4.0.4->4.5.0 upgrade. Your .install_history should have lines similar to this after new packages are installed and before zmsetup.pl is run.

    1169087810: INSTALL SESSION START
    1169087878: UPGRADED zimbra-core-4.5.0_GA_612.pkg
    1169087883: UPGRADED zimbra-ldap-pkg
    1169087913: UPGRADED zimbra-store-pkg
    1169087923: UPGRADED zimbra-mta-pkg
    1169087927: UPGRADED zimbra-apache-pkg
    1169087928: UPGRADED zimbra-spell-pkg
    1169087931: UPGRADED zimbra-snmp-pkg
    1169087938: UPGRADED zimbra-logger-pkg
    1169087941: INSTALL SESSION COMPLETE

    If your 4.0.4->4.0.5 worked, I'd go ahead and upgrade from 4.0.5->4.5.0. As always make sure you have a backup first.
    Bugzilla - Wiki - Downloads - Before posting... Search!

  9. #9
    Join Date
    Nov 2005
    Location
    Germany
    Posts
    89
    Rep Power
    9

    Default

    Brian,

    I tried the update from 4.05 to 4.50. Again the same result. There was no migration. When I went back to 4.05 the up(down)grade terminated with the following message:

    Operations logged to /tmp/zmsetup.log.32091
    Setting defaults...Setting defaults from existing config...Done
    Upgrading from to 4.0.5_GA_518
    Thu Jan 18 23:07:31 2007: Stopping zimbra services
    Thu Jan 18 23:07:36 2007: Starting mysql
    Thu Jan 18 23:07:39 2007: Checking logger mysql status
    Thu Jan 18 23:07:40 2007: Starting logger mysql
    Thu Jan 18 23:07:40 2007: SELECT value FROM config WHERE name = 'db.version'
    I can't upgrade version


    Regards,

    Friedmar

  10. #10
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    Do you have a backup?
    If not, then rsync it to a safe location so that you can work on it.

Similar Threads

  1. Upgrade: 4.5.5 -> 4.5.6 failed, LDAP/slapd issues
    By Daimyo in forum Installation
    Replies: 7
    Last Post: 08-04-2007, 09:23 PM
  2. failed upgrade, failed restore, big trouble
    By feralcoder in forum Installation
    Replies: 2
    Last Post: 03-19-2007, 05:38 PM
  3. Lotus migration
    By babou in forum Migration
    Replies: 15
    Last Post: 03-05-2007, 09:33 PM
  4. 4.05 to 4.5GA upgrade 'stop failed'
    By kevindods in forum Installation
    Replies: 18
    Last Post: 02-04-2007, 06:54 PM
  5. Replies: 18
    Last Post: 03-20-2006, 01:22 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •